/*
* $Id: ArrayVerkettungZaehlschleife.java 1332 2015-08-27 18:58:25Z pieper $
* $URL: svn+ssh://pieper@l119v.studs.math.uni-wuppertal.de/home/mueller/Kooperation/CDG/repos/Materialsammlung/trunk/oberstufe/skriptum/python_quellen/array_verkettung_zaehlschleife.py $
*
* Aufgabe: Vorhaben Q1-1
* lineare Datenstrukturen -- Array: 
*   Verkettung von zwei Arrays mittels Zählschleife
*/

import java.util.Arrays;

class ArrayVerkettungZaehlschleife {

	public static void main(String[] args) {
// Zwei Array-Objekte
String[] a1= {"h", "a", "l"}; // oder etwas anders
String[] a2= {"l", "o"};      // oder etwas anders

// Der Array, in den die Verkettung hinein soll:
String[] z= new String[a1.length + a2.length];

// Lösung 1 -- Variante, die einen Zähler benötigt
int index = 0;
for (String elem : a1) {
	z[index] = elem;
	index = index + 1;
}
for (String elem : a2) {
	z[index] = elem;
	index = index + 1;
}
System.out.println(Arrays.toString(a1) + "+" + Arrays.toString(a2) + "=>" + Arrays.toString(z));

// Lösung 2 -- Variante, die zwei Zähler braucht
int index1 = 0;
while (index1 < a1.length) {
	z[index1] = a1[index1];
  index1 = index1 + 1;
}
int index2 = 0;
while (index2 < a2.length) {
  z[index1+index2] = a2[index2];
  index2 = index2 + 1;
}
System.out.println(Arrays.toString(a1) + "+" + Arrays.toString(a2) + "=>" + Arrays.toString(z));

	}
}
