# $Id: graphAlsAdjazenzMatrix.py 1316 2015-08-20 07:36:06Z humbert $
# $URL: svn+ssh://pieper@l119v.studs.math.uni-wuppertal.de/home/mueller/Kooperation/CDG/repos/Materialsammlung/branches/2.1/oberstufe/skriptum/python_quellen/graphAlsAdjazenzMatrix.py $
#
# Beispiel: Vorhaben Q1-4
#   Graphen 
#   
#
# 
#
#
#
class GraphAlsAdjazenzMatrix:
  def __init__ (self, zahlDerKnoten):
    self.knotenZahl= zahlDerKnoten
    self.gewichte= [[0]*zahlDerKnoten for i in range(zahlDerKnoten)]

  def fuegeKnotenZu(self, u, v, knotenGewicht):
    self.gewichte[u-1][v-1]= knotenGewicht
  
  def entferneKnoten(self, u, v):
    self.gewichte[u-1][v-1]= 0
  
  def verbunden(self, u, v):
    return self.gewichte[u-1][v-1] > 0 # Boole'scher Ausdruck
  
  def gibGewicht(self, u, v):
    return self.gewichte[u-1][v-1]


  def __str__(self):
    zeik= ""
    for x in range(self.knotenZahl):
      for y in range(self.knotenZahl):
        zeik+= str(self.gewichte[x][y])+" "
      zeik+= "\n"
    return zeik    


if __name__ == "__main__":
  mg=GraphAlsAdjazenzMatrix(4)
  print(mg)
  mg.fuegeKnotenZu(1,2,1)
  print(mg)
  mg.fuegeKnotenZu(2,3,5)
  print(mg)
  mg.fuegeKnotenZu(2,4,4)
  print(mg)
  mg.fuegeKnotenZu(4,1,2)
  print(mg)
  
