# $Id: suchalgorithmen.py 1434 2016-03-07 20:22:53Z humbert $
# $URL: svn+ssh://pieper@l119v.studs.math.uni-wuppertal.de/home/mueller/Kooperation/CDG/repos/Materialsammlung/branches/2.1/oberstufe/skriptum/python_quellen/suchalgorithmen.py $
#
# Beispiel: Vorhaben Q1-2
# Lineare Datenstrukturen – Suchen und Sortieren
#
#
class SuchAlgorithmen:

  def lineareSuche(self, zeichenketten: 'list', wert: 'str'):
    # Findet erstes Vorkommen von wert in zeichenketten.
    # Kommt es nicht vor, wird -1 zurückgegeben

    index= 0
    while index < zeichenketten.__len__():
      if zeichenketten[index] == wert:
        return index
      index= index + 1
    return -1  




  # ...
  def binaereSuche(self, zeichenketten: 'list', wert: 'str'):
    # Finde Vorkommen von wert in zeichenketten (sortiert) 
    unterGrenze= 0
    oberGrenze= zeichenketten.__len__() - 1

    while unterGrenze != oberGrenze:
      # Berechne Mitte des Intervalls
      mitte= (unterGrenze + oberGrenze) // 2 # ganzzahlige Div.

      if zeichenketten[mitte] < wert: 
        # Im oberen Intervall, erhöhe untere Schranke
        unterGrenze= mitte + 1
      else: # Unteres Intervall, senke obere Schranke
        oberGrenze= mitte
    return unterGrenze

    
